Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.impl.model
Class AuditTaskImpl

    java.lang.Object
      org.jbpm.services.task.audit.impl.model.AuditTaskImpl

All Implemented Interfaces:
  Serializable, AuditTask

    @Entity
    public class AuditTaskImpl

extends Object
implements Serializable, AuditTask

See Also:
  Serialized Form

Constructor Summary
`AuditTaskImpl()`
`AuditTaskImpl(long taskId, String name, String status, Date activationTime, String actualOwner, String description, int priority, String createdBy, Date createdOn, Date dueDate, long processInstanceId, String processId, int processSessionId, String deploymentId, long parentId)`

Method Summary
`Date` | `getActivationTime()`
`String` | `getActualOwner()`
`String` | `getCreatedBy()`
`Date` | `getCreatedOn()`
`String` | `getDeploymentId()`
`String` | `getDescription()`
`Date` | `getDueDate()`
`Long` | `getId()`
`String` | `getName()`
`long` | `getParentId()`
`int` | `getPriority()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`int` | `getProcessSessionId()`
`String` | `getStatus()`
`long` | `getTaskId()`
`void` | `setActivationTime(Date activationTime)`
`void` | `setActualOwner(String actualOwner)`
`void` | `setCreatedBy(String createdBy)`
`void` | `setCreatedOn(Date createdOn)`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setDescription(String description)`
`void` | `setDueDate(Date dueDate)`
`void` | `setId(Long id)`
`void` | `setName(String name)`
`void` | `setParentId(long parentId)`
`void` | `setPriority(int priority)`
`void` | `setProcessId(String processId)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setProcessSessionId(int processSessionId)`
`void` | `setStatus(String status)`
`void` | `setTaskId(long taskId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditTaskImpl

    public AuditTaskImpl()

### AuditTaskImpl

    public AuditTaskImpl(long taskId,
                         String name,
                         String status,
                         Date activationTime,
                         String actualOwner,
                         String description,
                         int priority,
                         String createdBy,
                         Date createdOn,
                         Date dueDate,
                         long processInstanceId,
                         String processId,
                         int processSessionId,
                         String deploymentId,
                         long parentId)

Method Detail

### getId

    public Long getId()

### setId

    public void setId(Long id)

### getTaskId

    public long getTaskId()

  Specified by:
    `getTaskId` in interface `AuditTask`

### setTaskId

    public void setTaskId(long taskId)

  Specified by:
    `setTaskId` in interface `AuditTask`

### getStatus

    public String getStatus()

  Specified by:
    `getStatus` in interface `AuditTask`

### setStatus

    public void setStatus(String status)

  Specified by:
    `setStatus` in interface `AuditTask`

### getActivationTime

    public Date getActivationTime()

  Specified by:
    `getActivationTime` in interface `AuditTask`

### setActivationTime

    public void setActivationTime(Date activationTime)

  Specified by:
    `setActivationTime` in interface `AuditTask`

### getName

    public String getName()

  Specified by:
    `getName` in interface `AuditTask`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `AuditTask`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `AuditTask`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `AuditTask`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `AuditTask`

### setPriority

    public void setPriority(int priority)

  Specified by:
    `setPriority` in interface `AuditTask`

### getCreatedBy

    public String getCreatedBy()

  Specified by:
    `getCreatedBy` in interface `AuditTask`

### setCreatedBy

    public void setCreatedBy(String createdBy)

  Specified by:
    `setCreatedBy` in interface `AuditTask`

### getCreatedOn

    public Date getCreatedOn()

  Specified by:
    `getCreatedOn` in interface `AuditTask`

### setCreatedOn

    public void setCreatedOn(Date createdOn)

  Specified by:
    `setCreatedOn` in interface `AuditTask`

### getDueDate

    public Date getDueDate()

  Specified by:
    `getDueDate` in interface `AuditTask`

### setDueDate

    public void setDueDate(Date dueDate)

  Specified by:
    `setDueDate` in interface `AuditTask`

### getProcessInstanceId

    public long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `AuditTask`

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

  Specified by:
    `setProcessInstanceId` in interface `AuditTask`

### getProcessId

    public String getProcessId()

  Specified by:
    `getProcessId` in interface `AuditTask`

### setProcessId

    public void setProcessId(String processId)

  Specified by:
    `setProcessId` in interface `AuditTask`

### getProcessSessionId

    public int getProcessSessionId()

  Specified by:
    `getProcessSessionId` in interface `AuditTask`

### setProcessSessionId

    public void setProcessSessionId(int processSessionId)

  Specified by:
    `setProcessSessionId` in interface `AuditTask`

### getParentId

    public long getParentId()

  Specified by:
    `getParentId` in interface `AuditTask`

### setParentId

    public void setParentId(long parentId)

  Specified by:
    `setParentId` in interface `AuditTask`

### getActualOwner

    public String getActualOwner()

  Specified by:
    `getActualOwner` in interface `AuditTask`

### setActualOwner

    public void setActualOwner(String actualOwner)

  Specified by:
    `setActualOwner` in interface `AuditTask`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `AuditTask`

### setDeploymentId

    public void setDeploymentId(String deploymentId)

  Specified by:
    `setDeploymentId` in interface `AuditTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.